RDDepict::EmbeddedAtom Class Reference

Class that contains the data for an atoms that has alredy been embedded. More...

`#include <EmbeddedFrag.h>`

## Public Types

enum | EAtomType { UNSPECIFIED = 0, CISTRANS, RING }

## Public Member Functions

| EmbeddedAtom ()
| EmbeddedAtom (unsigned int aid, const RDGeom::Point2D &pos)
EmbeddedAtom & | operator= (const EmbeddedAtom &other)
void | Transform (const RDGeom::Transform2D &trans)
void | Reflect (const RDGeom::Point2D &loc1, const RDGeom::Point2D &loc2)

## Public Attributes

unsigned int | aid
double | angle
| the angle that is already takes at this atom, so any new atom attaching to More...
int | nbr1
| the first neighbor of this atom that form the 'angle' More...
int | nbr2
| the second neighbor of atom that from the 'angle' More...
int | CisTransNbr
| is this is a cis/trans atom the neighbor of this atom that is involved in More...
bool | ccw
| <= PI/2 More...
int | rotDir
| useful only on atoms that are degree >= 4 More...
RDGeom::Point2D | loc
RDGeom::Point2D | normal
| a zig-zag manner More...
RDKit::INT_VECT | neighs
| and these are the atom IDs of the neighbors that still need to be embedded More...
double | d_density

## Detailed Description

Class that contains the data for an atoms that has alredy been embedded.

Definition at line 28 of file EmbeddedFrag.h.

## Member Enumeration Documentation

## EAtomType

enum RDDepict::EmbeddedAtom::EAtomType

Enumerator
UNSPECIFIED |
CISTRANS |
RING |

Definition at line 30 of file EmbeddedFrag.h.

## Constructor & Destructor Documentation

## EmbeddedAtom() [1/2]

RDDepict::EmbeddedAtom::EmbeddedAtom | ( |  | ) |

inline

Definition at line 32 of file EmbeddedFrag.h.

## EmbeddedAtom() [2/2]

RDDepict::EmbeddedAtom::EmbeddedAtom | ( | unsigned int | aid,
|  | const RDGeom::Point2D & | pos
| ) |  |

inline

Definition at line 44 of file EmbeddedFrag.h.

## Member Function Documentation

## operator=()

EmbeddedAtom& RDDepict::EmbeddedAtom::operator= | ( | const EmbeddedAtom & | other | ) |

inline

Definition at line 56 of file EmbeddedFrag.h.

References angle, ccw, CisTransNbr, d_density, loc, nbr1, nbr2, neighs, normal, and rotDir.

## Reflect()

void RDDepict::EmbeddedAtom::Reflect | ( | const RDGeom::Point2D & | loc1,
|  | const RDGeom::Point2D & | loc2
| ) |  |

inline

Definition at line 77 of file EmbeddedFrag.h.

References RDDepict::reflectPoint().

## Transform()

void RDDepict::EmbeddedAtom::Transform | ( | const RDGeom::Transform2D & | trans | ) |

inline

Definition at line 70 of file EmbeddedFrag.h.

References RDGeom::Transform2D::TransformPoint().

## Member Data Documentation

## aid

unsigned int RDDepict::EmbeddedAtom::aid

Definition at line 85 of file EmbeddedFrag.h.

## angle

double RDDepict::EmbeddedAtom::angle

the angle that is already takes at this atom, so any new atom attaching to

atom with have to fall in the available part

Definition at line 90 of file EmbeddedFrag.h.

Referenced by operator=().

## ccw

bool RDDepict::EmbeddedAtom::ccw

<= PI/2

which direction do we rotate this normal to add the next bond if ccw is true we rotate counter cloack wise, otherwise rotate clock wise,

Definition at line 107 of file EmbeddedFrag.h.

Referenced by operator=().

## CisTransNbr

int RDDepict::EmbeddedAtom::CisTransNbr

is this is a cis/trans atom the neighbor of this atom that is involved in

cis/trans system - defaults to -1

Definition at line 101 of file EmbeddedFrag.h.

Referenced by operator=().

## d_density

double RDDepict::EmbeddedAtom::d_density

Definition at line 130 of file EmbeddedFrag.h.

Referenced by operator=().

## loc

RDGeom::Point2D RDDepict::EmbeddedAtom::loc

Definition at line 115 of file EmbeddedFrag.h.

Referenced by operator=().

## nbr1

int RDDepict::EmbeddedAtom::nbr1

the first neighbor of this atom that form the 'angle'

Definition at line 93 of file EmbeddedFrag.h.

Referenced by operator=().

## nbr2

int RDDepict::EmbeddedAtom::nbr2

the second neighbor of atom that from the 'angle'

Definition at line 96 of file EmbeddedFrag.h.

Referenced by operator=().

## neighs

RDKit::INT_VECT RDDepict::EmbeddedAtom::neighs

and these are the atom IDs of the neighbors that still need to be embedded

Definition at line 124 of file EmbeddedFrag.h.

Referenced by operator=().

## normal

RDGeom::Point2D RDDepict::EmbeddedAtom::normal

a zig-zag manner

this is a normal vector to one of the bonds that added this atom it provides the side on which we want to add a new bond to this atom, this is only relevant when we are dealing with non ring atoms. We would

Definition at line 121 of file EmbeddedFrag.h.

Referenced by operator=().

## rotDir

int RDDepict::EmbeddedAtom::rotDir

useful only on atoms that are degree >= 4

rotation direction around this atom when adding new atoms, we determine this for the first neighbor and stick to this direction after

Definition at line 113 of file EmbeddedFrag.h.

Referenced by operator=().

The documentation for this class was generated from the following file:

- EmbeddedFrag.h